WithClause
Date: 2013-06-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.gcubedocumentlibrary.streams.dsl
Class WithClause<FROM,TO>

    java.lang.Object
      org.gcube.contentmanagement.gcubedocumentlibrary.streams.dsl.Clause<FROM,TO>
          org.gcube.contentmanagement.gcubedocumentlibrary.streams.dsl.WithLocalClause<FROM,TO>
              org.gcube.contentmanagement.gcubedocumentlibrary.streams.dsl.WithClause<FROM,TO>

    public class WithClause<FROM,TO>

extends WithLocalClause<FROM,TO>

The `with` clause of `pipe`-based sentences.``

Author:
  Fabio Simeoni (University of Strathclyde)

Constructor Summary
`WithClause(Env<FROM,TO> e)` Creates an instance of the clause in the evaluation environment of a given sentence.

Method Summary
`
`<E extends java.lang.Exception>`
` | `withRemote(IFaultPolicy<E> h)` Configures a `IFaultPolicy` for the stream in the evaluation environment.
`` | `withRemoteDefaults()` Configures a `Streams.RETHROW_POLICY` for the stream in the evaluation environment.

Methods inherited from class org.gcube.contentmanagement.gcubedocumentlibrary.streams.dsl.WithLocalClause
`with, withDefaults`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WithClause

    public WithClause(Env<FROM,TO> e)

  Creates an instance of the clause in the evaluation environment of a given sentence.

  Parameters:
    `e` - the environment.

Method Detail

### withRemote

    public <E extends java.lang.Exception>  withRemote(IFaultPolicy<E> h)

  Configures a `IFaultPolicy` for the stream in the evaluation environment.

  Type Parameters:
    `E` - the `Exception` that the `FaultPolicy` can throw.
  Parameters:
    `h` - the `FaultPolicy`.
  Returns:
    a configured `RemoteIterator`.

### withRemoteDefaults

    public  withRemoteDefaults()

  Configures a `Streams.RETHROW_POLICY` for the stream in the evaluation environment.

  Returns:
    a configured `RemoteIterator`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD